public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-libs/libcifpp/
Date: Sun,  4 Dec 2022 14:50:49 +0000 (UTC)	[thread overview]
Message-ID: <1670165357.d578350ffb974dbc7e320a7fe0dd381a6bb81c82.pacho@gentoo> (raw)

commit:     d578350ffb974dbc7e320a7fe0dd381a6bb81c82
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Dec  4 13:39:19 2022 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Dec  4 14:49:17 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d578350f

sci-libs/libcifpp: add 5.0.5

Closes: https://bugs.gentoo.org/881289
Closes: https://bugs.gentoo.org/878893
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 sci-libs/libcifpp/Manifest              |  2 ++
 sci-libs/libcifpp/libcifpp-5.0.5.ebuild | 33 +++++++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+)

diff --git a/sci-libs/libcifpp/Manifest b/sci-libs/libcifpp/Manifest
index 3f5a40d881c5..d451b6bee231 100644
--- a/sci-libs/libcifpp/Manifest
+++ b/sci-libs/libcifpp/Manifest
@@ -2,3 +2,5 @@ DIST components-2.0.4.cif.gz 81445161 BLAKE2B 80d538109a716af0273d109151a434e68c
 DIST components-3.0.0.cif.gz 82114845 BLAKE2B 9934110efb9848e8b71e75173bf9c8cfeec1daeef45648296dbcc41641308b9c4e6ff2ef16d86b44ebdb0a200fe6f2a8f13dadac1cce4d8ea2a2961927bf4c94 SHA512 625478378d236ec46130d83545c1b0fbdfb5e9cada3834ac14d4b052e9e460e73523e4438b3356a78d64f569e12cd4c13439b5de56462a10d5c11d0de09d52b8
 DIST libcifpp-2.0.4.tar.gz 960402 BLAKE2B 4650478b187ece13d38c0a5f13c94e6098e3271088a7dd19d72645d52d085304a463387f9d1b1edacbcd03a051b32fbf2384e3287d5ff4835091f2eae2fe2805 SHA512 f4a6b126b376b245d399508e9bc360bcf0451e6bd3cad3127567dd95afb1965c8eb764bb9b0bf26be26695fc5636e509709bdbc9f8c9a00939d049c1634dcae0
 DIST libcifpp-3.0.0.tar.gz 950896 BLAKE2B 8aad3ebea5cc82c2615b6dc6a8a50654375dd9f58ff6c27306bf1415d9658f29f196c5ea9bf0e4f913400b3eba48f19bc11dd97c84b59cf2df94f87afb06d5b7 SHA512 507abed829e4d5194eb22fe73d261295a9814577d7bc53743731e7a1ccb032f763f4bfa0e1b23665d52fabbfa38baca20e6373c14db029705427b6fa773df976
+DIST libcifpp-5.0.5-components.cif.gz 88604747 BLAKE2B 05b914efaff697fa756a2ccd79836aa0a27a5fcf966eece7a3b5476fb37c876449047de00fea852a224b266188d00d1e5e5fa0148f24a1ae0fea01c0ad3415aa SHA512 a39144034836fbac5ff793c6a87d0e1519e63f16175357a3863d56edf2bf015af4dd6859b9afc8c8d9621c7dab752df5a8557149db2cb37983ab095a831fc2fd
+DIST libcifpp-5.0.5.tar.gz 1869555 BLAKE2B 515e27aeebb5e12130649a52ac92d69bbec910ec67fef992100a785f21ee6acaf34e951b2cc430acbfc52336a88337f0b54d6ecd030d784fc3ebe2065321f813 SHA512 730d212a681009b932f61e99dcde77d89ff5ec618781abf897f5e91c103d334ca560329975d32715a2d84f02026b073f46cba3f10a1b382ff82422d49b8dd50e

diff --git a/sci-libs/libcifpp/libcifpp-5.0.5.ebuild b/sci-libs/libcifpp/libcifpp-5.0.5.ebuild
new file mode 100644
index 000000000000..6bd4f31ea362
--- /dev/null
+++ b/sci-libs/libcifpp/libcifpp-5.0.5.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit cmake
+
+DESCRIPTION="Code to work with mmCIF and PDB files"
+HOMEPAGE="https://github.com/PDB-REDO/libcifpp"
+SRC_URI="
+	https://github.com/PDB-REDO/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
+	https://dev.gentoo.org/~pacho/${PN}/${P}-components.cif.gz
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="dev-libs/boost:="
+RDEPEND="${DEPEND}"
+
+src_configure() {
+	cp "${WORKDIR}"/${P}-components.cif data/components.cif || die
+
+	local mycmakeargs=(
+		-DBUILD_SHARED_LIBS=ON
+		-DCIFPP_DOWNLOAD_CCD=OFF
+		-DCIFPP_INSTALL_UPDATE_SCRIPT=OFF
+		-DENABLE_TESTING="$(usex test)"
+	)
+	cmake_src_configure
+}


             reply	other threads:[~2022-12-04 14:50 UTC|newest]

Thread overview: 28+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-12-04 14:50 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-15 12:25 [gentoo-commits] repo/gentoo:master commit in: sci-libs/libcifpp/ Pacho Ramos
2024-05-18 10:06 Pacho Ramos
2024-05-18 10:06 Pacho Ramos
2023-10-20 13:14 Pacho Ramos
2023-08-23 14:49 Pacho Ramos
2023-08-23 14:49 Pacho Ramos
2023-08-08  9:20 Pacho Ramos
2023-08-08  9:20 Pacho Ramos
2023-06-08 12:33 Pacho Ramos
2023-06-08 12:33 Pacho Ramos
2023-06-08  9:39 Pacho Ramos
2023-04-25 13:14 Pacho Ramos
2023-04-18 15:08 Pacho Ramos
2023-02-26 15:51 Pacho Ramos
2022-12-04 14:50 Pacho Ramos
2022-09-04 13:03 David Seifert
2022-09-04 12:23 David Seifert
2022-03-17 13:36 Jakov Smolić
2021-12-16  8:46 Pacho Ramos
2021-11-16  3:14 Sam James
2021-11-06  9:13 Pacho Ramos
2021-11-06  9:13 Pacho Ramos
2021-10-19 21:04 Pacho Ramos
2021-10-10 20:48 Sam James
2021-10-03 18:45 Pacho Ramos
2021-09-26 10:18 Pacho Ramos
2021-09-02 12:01 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1670165357.d578350ffb974dbc7e320a7fe0dd381a6bb81c82.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox